/* objclub.h - structure values for club */

{       "Funny club", "club", /* long and short names */
        "cube",         /* long name of dual */
        58, 120, 64,    /* number of vertices, edges, and faces */
        {               /* vertices (x,y,z) */
                        /* all points must be within radius 1 of the origin */

                { -46,  8,  4 }, /* knob1! 0-7 */
                { -46,  4,  8 },
                { -46, -4,  8 },
                { -46, -8,  4 },
                { -46, -8, -4 },
                { -46, -4, -8 },
                { -46,  4, -8 },
                { -46,  8, -4 },
                
                { -38,  8,  4 }, /* knob2 7-15 */
                { -38,  4,  8 },
                { -38, -4,  8 },
                { -38, -8,  4 },
                { -38, -8, -4 },
                { -38, -4, -8 },
                { -38,  4, -8 },
                { -38,  8, -4 },

                { -36,  4,  2 }, /* knobend! 16-23 */
                { -36,  2,  4 },
                { -36, -2,  4 },
                { -36, -4,  2 },
                { -36, -4, -2 },
                { -36, -2, -4 },
                { -36,  2, -4 },
                { -36,  4, -2 },

                { -16,  4,  2 }, /* handleend 24-31 */
                { -16,  2,  4 },
                { -16, -2,  4 },
                { -16, -4,  2 },
                { -16, -4, -2 },
                { -16, -2, -4 },
                { -16,  2, -4 },
                { -16,  4, -2 },
                
                { 0,  10,  5 }, /* bulbleft 32-39*/
                { 0,  5,  10 },
                { 0, -5,  10 },
                { 0, -10,  5 },
                { 0, -10, -5 },
                { 0, -5, -10 },
                { 0,  5, -10 },
                { 0,  10, -5 },

                { 16,  10,  5 }, /* bulbright 40-47*/
                { 16,  5,  10 },
                { 16, -5,  10 },
                { 16, -10,  5 },
                { 16, -10, -5 },
                { 16, -5, -10 },
                { 16,  5, -10 },
                { 16,  10, -5 },

                { 26,  6,  3 }, /* endright 48-55 */
                { 26,  3,  6 },
                { 26, -3,  6 },
                { 26, -6,  3 },
                { 26, -6, -3 },
                { 26, -3, -6 },
                { 26,  3, -6 },
                { 26,  6, -3 },
                
                {-50,  0,  0 }, /* Left hand end point 56 */
                { 30,  0,  0 }, /* end point right 57 */
#undef T
        },
        {       /* faces (numfaces + indexes into vertices) */
                /*  faces must be specified clockwise from the outside */
                3,      56,  1,  0,  /* working from left to right */
                3,      56,  2,  1,
                3,      56,  3,  2,
                3,      56,  4,  3,
                3,      56,  5,  4,
                3,      56,  6,  5,
                3,      56,  7,  6,
                3,      56,  0,  7,
                
                4,       0,  1,  9,  8,
                4,       1,  2, 10,  9,
                4,       2,  3, 11, 10,
                4,       3,  4, 12, 11,
                4,       4,  5, 13, 12,
                4,       5,  6, 14, 13,
                4,       6,  7, 15, 14,
                4,       7,  0,  9, 15,

                4,       8,  9, 17, 16,
                4,       9, 10, 18, 17,
                4,      10, 11, 19, 18,
                4,      11, 12, 20, 19,
                4,      12, 13, 21, 20,
                4,      13, 14, 22, 21,
                4,      14, 15, 23, 22,
                4,      15,  8, 16, 23,

                4,      16, 17, 25, 24,
                4,      17, 18, 26, 25,
                4,      18, 19, 27, 26,
                4,      19, 20, 28, 27,
                4,      20, 21, 29, 28,
                4,      21, 22, 30, 29,
                4,      22, 23, 31, 30,
                4,      23, 16, 24, 31,

                4,      24, 25, 33, 32,
                4,      25, 26, 34, 33,
                4,      26, 27, 35, 34,
                4,      27, 28, 36, 35,
                4,      28, 29, 37, 36,
                4,      29, 30, 38, 37,
                4,      30, 31, 39, 38,
                4,      31, 24, 32, 39,

                4,      32, 33, 41, 40,
                4,      33, 34, 42, 41,
                4,      34, 35, 43, 42,
                4,      35, 36, 44, 43,
                4,      36, 37, 45, 44,
                4,      37, 38, 46, 45,
                4,      38, 39, 47, 46,
                4,      39, 32, 40, 47,

                4,      40, 41, 49, 48,
                4,      41, 42, 50, 49,
                4,      42, 43, 51, 50,
                4,      43, 44, 52, 51,
                4,      44, 45, 53, 52,
                4,      45, 46, 54, 53,
                4,      46, 47, 55, 54,
                4,      47, 40, 48, 55,

                3,      57, 48, 49,  /* working from left to right */
                3,      57, 49, 50,
                3,      57, 50, 51,
                3,      57, 51, 52,
                3,      57, 52, 53,
                3,      57, 53, 54,
                3,      57, 54, 55,
                3,      57, 55, 48,
        }
},              /* leave a comma to separate from the next include file */
/* end */

