#ifndef __SITESWAP_H__
#define __SITESWAP_H__

#define MAX_PATTERN_LENGTH   60
#define MAX_PATTERN_STRING   MAX_PATTERN_LENGTH*4
#define TOTAL_PATTERN_LENGTH ((2 * MAX_PATTERN_LENGTH) + 1)

typedef struct siteswap
{
   char   startup_str[MAX_PATTERN_STRING];
   char   pattern_str[MAX_PATTERN_STRING];
   
   long   pattern[TOTAL_PATTERN_LENGTH];
      
   int    startup_len;
   int    pattern_len;
   int    balls;
   int    hands;
   int    detail;
   int    height;
   int    highest;
   int    prehighest;
   int    valid;
   int    maxY;
} siteswap;

extern void load_pattern(siteswap*);
extern void extract_pattern(siteswap*);

#endif
