/* objclub1.h - structure values for club */

{       "European Club", "club", /* long and short names */
        "cube",         /* long name of dual */
        32, 56, 26,     /* number of vertices, edges, and faces */
        {               /* vertices (x,y,z) */
                        /* all points must be within radius 1 of the origin */


#define Oct(R,Z) Oct2(R/2, R, Z)
#define Oct2(R1,R2,Z) {  R1, R2, Z }, \
                     {  R2, R1, Z }, \
                     {  R2,-R1, Z }, \
                     {  R1,-R2, Z }, \
                     { -R1,-R2, Z }, \
                     { -R2,-R1, Z }, \
                     { -R2, R1, Z }, \
                     { -R1, R2, Z }

               Oct(  12, 100), 
               Oct(  12,   0), 
               Oct(  30, -80), 
               Oct(  16,-130)  
#undef Oct
#undef Oct2
        },
        {       /* faces (numfaces + indexes into vertices) */
                /*  faces must be specified clockwise from the outside */
                
                8,       0, 1, 2, 3, 4, 5, 6, 7,
                
#define Cyl(I1, I2) \
            4,  I1+0, I2+0, I2+1, I1+1, \
            4,  I1+1, I2+1, I2+2, I1+2, \
            4,  I1+2, I2+2, I2+3, I1+3, \
            4,  I1+3, I2+3, I2+4, I1+4, \
            4,  I1+4, I2+4, I2+5, I1+5, \
            4,  I1+5, I2+5, I2+6, I1+6, \
            4,  I1+6, I2+6, I2+7, I1+7, \
            4,  I1+7, I2+7, I2+0, I1+0, 
            
               Cyl(0,8)
               Cyl(8,16)
               Cyl(16,24)
               
                8,      31, 30, 29, 28, 27, 26, 25, 24,
        }
},              /* leave a comma to separate from the next include file */
/* end */

